Anonymous Login
2017-11-20 21:45 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001572OpenClonkObjectspublic2017-06-20 15:18
ReporterSven2 
Assigned ToMaikel 
PrioritynormalSeverityfeatureReproducibilityN/A
StatusresolvedResolutionfixed 
PlatformVisual C++ 2008OSWindowsOS Version 
Product Version 
Target Version8.0Fixed in Versiongit master 
Summary0001572: Feature: Concrete item
DescriptionI miss concrete (aka "Liquid Granite" from Clonk Rage). It can be used to make more durable roofs or by perfectionists to prepare the ground for a base or castle. It should be usable either as the classic "throw item" or by pumping it.

Can also be used in base melees to annoy your opponent.

Idea:
* Built in the chemical lab e.g. from rock and water. You only need rock+hammer to build very durable basements so I think rock+water+chemical lab is fair enough.
* Only one item for the durable concrete (not conrete AND liquid granite)
* Casts granite PXS when hitting landscape
* Ensure that these PXS use a less rock-like granite texture. Maybe just create a new material for concrete.
* Concrete can be put into the pump. The pump will then pump concrete pixels to its output
* Item could be carry-heavy but create lots of concrete pixels to be useful (in Clonk Rage, it was annoying because you always needed like at least 10 concrete items to be of any use)
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0004520

Maikel (developer)

A new material seems overkill and annoying to maintain, what about a different texture only?

The pump should have an option to pump this, or even better can be connected to chemical labs? Especially if we have liquid storages in the future.

~0004522

Sven2 (developer)

Different texture would be better but would need an engine change to ensure that concrete PXS are always created with this texture. I think you cannot create PXS to use a specific texture yet (or can you?).

If we make the concrete variant the "default" texture for granite, then it would be the default when drawing maps, which is not desirable.

~0004525

Zapper (developer)

>You only need rock+hammer to build very durable basements so I think rock+water+chemical lab is fair enough.

That's not a fair comparison. You cannot build basements in the enemy's base. With carry-heavy it might work.

~0004526

Sven2 (developer)

Yes it's supposed to be a potential attack weapon. What's wrong with that?

~0004534

Zapper (developer)

It's an "attack weapon" with the only purpose of annoying the enemy. The cost of using that weapon is way lower than the cost of repairing the damage done (which should be unlike explosive weapons e.g.).

Speaking from experience, (in case the teams did not agree on disallow that) this leads to both teams trying to annoy each other and reaching their target (e.g. destroying something) while the enemy is cleaning up the mess.

This shifts the focus from the interesting parts (fighting enemies and building up a fortress/defenses) to extremely boring and annoying parts (cleaning up the concrete, because otherwise your Clonks get stuck on spawn).
This generally leads to extremely boring games that I strongly want to discourage.

I want extremely strong attack weapons (e.g. grappling hook, dynamite box). I also want extremely strong defenses (e.g. automatic turrets / guards).

But what I do not want is a "weapon" with the sole purpose of forcing the enemy to perform boring or annoying tasks.

~0004537

Sven2 (developer)

The point of the concrete attack could either be to do it early in a base melee to slow down the development or late to keep your opponent locked in their cave and have an easier attack. But it may also be a fatal blow if all your tools are in a cave and they just got locked in.

What is "boring and annoying" in your book?

Burning wind generators with a catapult is annoying. The only point is to have the enemy build a new generator. Rebuilding wind generators is boring.

Shooting holes into the enemy wall is annoying. The enemy just has to close them.

Catapulting a zap hive over is annoying because it's unlikely to kill you but clonks take damage, have to wait to access some areas of their base and have to go get healing.

Basically, any attack that is not fatal but cripples your base would be "boring and annoying" because you have to re-build defenses you already had in place and that's frustrating. But if you don't like that, you should either play arena melees (because there's only attack) or only play against weak opponents (because they cannot annoy you).

~0004560

Zapper (developer)

I don't think you realize the truth that is in parts of your arguments.

>Basically, any attack that is not fatal but cripples your base would be "boring and annoying" because you have to re-build defenses you already had in place and that's frustrating.

Yes, that's mostly true. I think we should discourage attacks that target the players' time (aka force to rebuild).
In a more concrete example that would be that I would want to discourage destroying buildings and encourage taking over flagpoles (so that the buildings belong to you) instead.

However, there is more insight
>Burning wind generators with a catapult is annoying. The only point is to have the enemy build a new generator. Rebuilding wind generators is boring.

Yes, (re)building stuff is annoying. That's why we have changed that from CR where you would need to stand in front of it for the whole time. It's less annoying now. Also, since you can carry more stuff, it's also less annoying to rebuild a building now.

I would go as far as to claim that destroying buildings is possibly even more time-intensive than rebuilding them.
And that's exactly what I like. You want to destroy a wind generator? Sure, if you must - but destroying it takes you maybe 5 minutes (because you have to figure out how to hit it) and rebuilding takes the enemy 30 seconds.

Some other points:
> ..be to do it early in a base melee to slow down the development..

It would "slow down development", because among other things, the enemy would constantly have to fight against getting stuck in the landscape. Making the enemy stuck (or adding un-navigatable landscape) might win you the game. On the other hand it's something that we have been constantly fighting (single pixels are removed, shoveling during scaling, ...) since Clonk Rage. Because, yes, we DID realize that it's one of the parts about Clonk that just suck.

>Catapulting a zap hive over is annoying because it's unlikely to kill you but clonks take damage, have to wait to access some areas of their base and have to go get healing.

Yes, I'd argue that providing zaps as the main (or at least wildly available) offensive weapon (especially if they still stop you like in CR) is a bad idea. When each party has only around three or four zaps per game, it would again work for my definition of "boring".

And to answer the first question.
>What is "boring and annoying" in your book?

Doing the same task over and over again. That can be very general: carrying 20 objects from the mine to a workshop, having to wait five minutes in your hut because your base is full of zaps, having to rebuild the same wind generator every two minutes, having to clear you whole base from rock with a pickaxe only to see your enemy coming back with new concrete one minute later.

I am all for extremely strong attack mechanisms (windbag, grappler, dynamite box) and for strong defense mechanisms. But the focus of a fighting game should be something that encourages 1.) fighting 2.) tactical placement of resources while minimizing repetitive works. Much of that is true for settlement, too.

~0004561

Clonkonaut (developer)

I agree with Zapper that concrete is a poor choice of available weapons. I, too, think it heavily turned everyone's attention to the worst parts of Clonk: getting stuck in material, material clogging buildings (invisible because behind objects), creating platforms only a few pixels high so you can easily get stuck in them...

I do see the positive applications in settlement rounds though.

As always, I would leave the choice to scenario designers. Promoting concrete as a nice offensive weapon, though, I dislike.

~0004569

Zapper (developer)

Well, we have really great basements now. Maybe it would be enough to allow them to really snap onto each other to achieve very flat surfaces to build a settlement on?

You couldn't pump basements of course. But that's about the only disadvantage I guess?

~0004570

Sven2 (developer)

Concerning what's fun in base melees: In the base melees I have played in OpenClonk, there were no "annoying attacks". Attacks were either stopped before the base or they were fatal, i.e. one clonk could pretty much ruin the enemy base. Therefore, it was all about keeping your base safe using wall kits (since that was the only walling tool we had at the time) and killing the enemy before he could arrive. It was a bit like the old CoFuT: Storming the castle is hard but once you're in the castle, hell breaks loose.

From what you call "not boring", that's exactly what you want. An attack that destroys half of your base would be boring because then the defender would have to do all the rebuilding. So instead, you want a scenario where all teams increase their attack and defense more and more until one of them finally breaks through and beats the other.

That's nice, but for me, it's still missing something. It's missing the part where you conquer a base, but your enemy runs away to build another. Then the enemy launches his backdoor attack with 100 sacks of concrete and zap hives.

~0004571

Sven2 (developer)

You can already build flat basements. Jus tstart building at the highest point, then construct aditional basements sideways with 50% overlap. They'll all be at the same height.

Of course it's even easier to do with bridge segments (and then put concrete on top).

With concrete you could also defend against heavy meteorite scenarios. You build a roof on top (e.g. with bridge segments) and then put the outlet of a concrete pump above. Whenever meteorites threaten to destroy your roof, you pump some more concrete on top.

~0005550

Maikel (developer)

I am ending this discussion for now with the addition of concrete as a liquid. It is producible in the foundry by water and rock. It can be pumped in principle but this needs some scripting work and it can be transferred to barrels and then be used.

It is the scenario designers responsibility to add it to melees, where I agree with most concerns put forward here.
+Notes

-Issue History
Date Modified Username Field Change
2016-01-10 15:23 Sven2 New Issue
2016-01-10 15:30 Maikel Note Added: 0004520
2016-01-10 15:59 Sven2 Note Added: 0004522
2016-01-10 21:07 Zapper Note Added: 0004525
2016-01-10 21:39 Sven2 Note Added: 0004526
2016-01-11 11:44 Zapper Note Added: 0004534
2016-01-11 13:57 Sven2 Note Added: 0004537
2016-01-12 17:32 Zapper Note Added: 0004560
2016-01-12 18:38 Clonkonaut Note Added: 0004561
2016-01-12 23:51 Zapper Note Added: 0004569
2016-01-13 00:25 Sven2 Note Added: 0004570
2016-01-13 00:27 Sven2 Note Added: 0004571
2016-12-19 21:08 Maikel Note Added: 0005550
2016-12-19 21:08 Maikel Assigned To => Maikel
2016-12-19 21:08 Maikel Status new => resolved
2016-12-19 21:08 Maikel Resolution open => fixed
2016-12-19 21:08 Maikel Fixed in Version => git master
+Issue History